/* .--------------------. */
/* | Packet Size Limits | */
/* `--------------------' */

#define ABSOLUTE_MAX	1024 /* The absolute maximium packet size that will
				be allowed, even as root. Note: If someone has
				root it's not TOO hard for them to install their
				own ping. This is mainly intended to prevent
				accidents. =) */
#define NON_ROOT_MAX	56   /* The maximium size for non-root users. Don't
				make this lower than the initial 56, or change
				the initial size in ping.c. If you do, or
				if the user doesn't use -s, it won't catch it.
				I can think of no practical reason for me
				to change this. =) */
#undef ALLOW_FLOODING	/* If defined, flooding is allowed by root. If not,
			   flooding will not be allowed by anyone. This also
			   applies to -l preload. */

/* .-----------------. */
/* | Logging Options | */
/* `-----------------' */

#define LOG_SIZE_VIOL	/* If defined, log packet size violation attempts */
#define LOG_FLOOD_VIOL	/* If defined, log unauthorized flood attempts */
#define LOG_ALRM_BOMB	/* If defined, log attempts to generate a flood as
			   non-root by sending a lot of sigalrms to ping. This
			   is possible since ping assumes the SIGALRM it
			   receives is generated by the previous alarm()
			   call, and the ping process is owned by the user. */
#define LOG_LEVEL LOG_INFO  /* The syslog level */

/* .-----------------------. */
/* | Miscellaneous Options | */
/* `-----------------------' */

#define PREVENT_ALRM_BOMB	/* Why would you want this off? Debugging?
				With this defined non-flood pings will only be
				sent every 1 second no matter WHAT sigalrm
				says. */
